//
// UserGet.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct UserGet: Codable {

    public var firstName: String
    public var lastName: String
    public var isActive: Bool
    public var avatarId: UUID?
    public var email: String
    public var _id: Int?
    public var organizationId: Int
    public var organizationName: String
    public var avatarUrl: String?
    public var groups: [UserGroup]
    public var isSuperuser: Bool
    public var roleId: Int

    public init(firstName: String, lastName: String, isActive: Bool, avatarId: UUID? = nil, email: String, _id: Int? = nil, organizationId: Int, organizationName: String, avatarUrl: String? = nil, groups: [UserGroup], isSuperuser: Bool, roleId: Int) {
        self.firstName = firstName
        self.lastName = lastName
        self.isActive = isActive
        self.avatarId = avatarId
        self.email = email
        self._id = _id
        self.organizationId = organizationId
        self.organizationName = organizationName
        self.avatarUrl = avatarUrl
        self.groups = groups
        self.isSuperuser = isSuperuser
        self.roleId = roleId
    }

    public enum CodingKeys: String, CodingKey { 
        case firstName = "first_name"
        case lastName = "last_name"
        case isActive = "is_active"
        case avatarId = "avatar_id"
        case email
        case _id = "id"
        case organizationId = "organization_id"
        case organizationName = "organization_name"
        case avatarUrl = "avatar_url"
        case groups
        case isSuperuser = "is_superuser"
        case roleId = "role_id"
    }

}
